default day = 15

default checkt = 0
default cookt = 0
default servet = 0

default hype = 'Low'
default hypep = 1
default serv = 'Decent'
default servp = 4
default qual = 'Good'
default qualp = 6
default intel = 'None'
default intelp = 0
default rand = None
default money = 80
default temphype = 0
default cashflow = 0

default eventday_called = False
default wroute_finished = False
default wentshopping = False
default wroute_max = False

#TO MAKE AN EVENT:
#make label
# EVENT_var
# cook_day(var)
# cook_0

screen activity:
  imagemap:
    auto "activity_%s.png"
    hotspot (27, 158, 177, 152) action Return("check")
    hotspot (231, 160, 177, 152) action Return("serve")
    hotspot (432, 158, 176, 154) action Return("cook")
  frame:
    ypos 115
    xalign 0.5
    label _("Cash: $[money].00 (+$[cashflow] & -$40/day)")
  frame:
    ypos 322
    xalign 0.5
    grid 2 2:
      label _("Hype: [hype] ([hypep])")
      label _("Intel: [intel] ([intelp])")
    
      label _("Quality: [qual] ([qualp])")
      label _("Service: [serv] ([servp])")

label activity:
  #Override event checking
  #Use DAY_(day) to have an event run before the activity period.
  stop music fadeout 2.0 
  scene none with dissolve
  $ eventday_called = False
  if day == 7:
    centered "Your parents are returning in a week."
  elif day != 1:
    centered "Your parents return in [day] days."
  else:
    centered "Your parents are returning tomorrow."
  
  scene bg shop with dissolve
  $ override = "DAY_" + str(day)
  if renpy.has_label(override):
    $ renpy.call(override)
    m "(I went back to the shop.)"
  
  play music "Light.mp3" fadein 2.0
  
  if day != 15:
    m "(What should I do today?)"
  else:
    m "(I have quite a bit of free time now. What to do...)"
  
  #Evaluate parameters
  call evalparam from _call_evalparam
  
  #Call activity screen and check return
  call screen activity
  if _return == "check":
    call check from _call_check
  elif _return == "serve":
    call serve from _call_serve
  elif _return == "cook":
    call cook from _call_cook
  
  #decrease day by 1
  $ day -= 1
  return
    
label check:
  scene bg sweets front with dissolve
  $ selaction = "check"
  #evaluate if something happens this day
  call evalday from _call_evalday
  #if nothing happens, run default event
  if selaction == "none":
    scene bg sweets front with dissolve
    "You walked down the street to the sweets shop."
    scene bg sweets with dissolve
    m "(Ugh... the overly bright interior's contrast with the outside world is staggering no matter how many times I see it.)"
    m "(I don't see Kyle here today.)"
    menu:
      m "(Should I buy something?)"
      "Yeah (-$20)" if money >= 20:
        $ money -= 20
        m "(Hmm... I think I'll take a sample of this back with me. Maybe I'll be able to learn something new.)"
        $ rand = renpy.random.randint(1, 3)
        if rand == 3:
          $ rand = renpy.random.randint(2, 3)
          if qualp < 10:
            $ qualp += rand
          else:
            $ servp += 1
            $ hypep += 1
          $ hypep += 1
          m "(Woah, if I add this to our pastries, the customers'll love it!)"
      "Nah":
        m "(Not all intel needs to be purchased with money.)"
        m "(Hm, maybe I should try out this arrangement of items on the shelf. It's certainly more visually pleasing than the random chaos we currently have.)"
  if not eventday_called:
    $ checkt += 1
  $ intelp += 1
  return
  
label serve:
  $ selaction = "serve"
  call evalday from _call_evalday_1
  if selaction == "none":
    if john_met:
      m "(Hm, John isn't here today.)"
    m "(I'll stay here and serve the customers, then.)"
    "You spent the rest of your time assisting the part-timer with the orders."
  if not eventday_called:
    $ servet += 1
    if servet > 1:
      $ servp += 1
  return
  
label cook:
  scene bg kitchen with dissolve
  $ selaction = "cook"
  call evalday from _call_evalday_2
  if selaction == "none":
    if not wroute_finished or route != "william":
      m "(I don't see William here today... maybe he took the day off.)"
      m "(Oh, there's a note here.)"
      m "\"[player], I won't be here to help today, but I left a pile of pastries next to the counter.\""
      m "\"This way, you won't run out of stock anytime soon!\n--William\""
      m "(How nice of him.)"
      m "(Alright, then, let's get down to work!)"
      "You spent some time tinkering with the recipes."
    else:
      $ wp += 1
      show w talk with dissolve
      w "Hey there, [player]."
      if qualp >= 10 and wroute_max == False:
        m "Anything new to teach me today?"
        show w ec shy with dissolve
        w "I think at this point {i}you'd{/i} be teaching {i}me{/i}, rather than the other way around."
        m "You flatter me."
        w "No, I'm serious! I have nothing left to teach you at this point."
        show w oh with dissolve
        w "Maybe you should start working on other aspects of the shop?"
        m "But I want to cook!"
        show w ec shy with dissolve
        w "Haha, alright."
        $ wroute_max = True
      else:
        m "Good morning."
        show w ec shy with dissolve
        w "There's nothing more I can teach you, so are you okay with just cooking?"
        m "Of course!"
      show w talk blush with dissolve
      w "Well, let's begin, then!"
      
  if not eventday_called:
    $ cookt += 1
    if cookt > 2:
      $ qualp += 1
  return

label evalday:
  # Check for events
  $ eventday = selaction + "_day" + str(day)
  
  if selaction == "cook":
    $ eventtime = selaction + "_" + str(cookt)
  elif selaction == "check":
    $ eventtime = selaction + "_" + str(checkt)
  elif selaction == "serve":
    $ eventtime = selaction + "_" + str(servet)
    
  if renpy.has_label(eventday):
    $ eventday_called = True
    $ renpy.call(eventday)
  elif renpy.has_label(eventtime):
    $ renpy.call(eventtime)
  else:
    $ selaction = "none"
  return
  
label evalparam:
  python:
    money -= 40
    
    if hypep == 4:
      hype = "Medium"
    elif hypep == 8:
      hype = "High"
    elif hypep == 10:
      hype = "MAX"
    elif hypep > 10:
      hypep = 10
    
    if intelp == 1:
      intel = "Low"
    elif intelp == 4:
      intel = "Medium"
    elif intelp == 8:
      intel = "High"
    elif intelp == 10:
      intel = "MAX"
    elif intelp > 10:
      intelp = 10
    
    if qualp == 0:
      qual = "Terrible"
    elif qualp == 1:
      qual = "Bad"
    elif qualp == 3:
      qual = "Decent"
    elif qualp == 6:
      qual = "Good"
    elif qualp == 8:
      qual = "Great"
    elif qualp == 10:
      qual = "MAX"
      temphype += 2
    elif qualp > 10:
      qualp = 10
      temphype += 1
      
    if servp == 0:
      serv = "Terrible"
    elif servp == 1:
      serv = "Bad"
    elif servp == 3:
      serv = "Decent"
    elif servp == 6:
      serv = "Good"
    elif servp == 8:
      serv = "Great"
    elif servp == 10:
      serv = "MAX"
      temphype += 2
    elif servp > 10:
      servp = 10
      temphype += 1
      
    if hypep > 1:
      cashflow = int((qualp*3 + servp*2)*((temphype + hypep)*0.5 + 1))
    else:
      cashflow = int((qualp*3 + servp*2)*((temphype*0.5) + hypep))
    money += cashflow
    temphype = 0
    
  return