﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
default player = ''
default shop = ''
default route = None
default kp = 0
default wp = 0
default jp = 0
default john_met = False

default random = None

transform right:
  xalign 0.9
  yalign 1.0
  
transform left:
  xalign 0.1
  yalign 1.0

init python:
  if persistent.endings is None:
    persistent.endings = set()

  def show_ending(number, name):
    if name in persistent.endings:
      ui.text("{color=#B31E1E}{size=20}% 2d. %s" % (number, name))
    else:
      ui.text("{color=#5D101080}{size=20}% 2d. --Locked--" % (number))

# Declare characters used by this game.
define m = DynamicCharacter("player")

define k = Character('Kyle')
define w = Character('William')
define j = Character('John')
define q = Character('???')

# The game starts here.1`
label start:
  scene title ground
  show dim with dissolve
  menu:
    "Enable flag mode? This allows you to see what route you've accidentally tripped over. This will not affect gameplay or endings."
    "Yes":
      show screen flagmode
      "Flag mode enabled."
    "No":
      "Flag mode disabled."
  centered "What is your name?"
  $ player = renpy.input("Press enter if you're too lazy to think of a name.") or 'Lazybones'
  centered "I see. [player], is it?"
  centered "[player], your parents are running a pastry shop, and you, their daughter, are the sole heir."
  centered "Do you happen to know what it was called?"
  $ shop = renpy.input("Press enter if you're too lazy to think of a name.") or 'The Glorious Murdok'
  centered "Ah, so it was called [shop]."
  centered "Moving on..."
  centered "[shop] wasn't a very big pastry shop, nor did it have a lot of customers, but it was a decent pastry shop regardless."
  centered "However, lately business hasn't been going too well..."
  centered "A rival sweets shop has opened up recently, just a ways down the street. You'd think that people wouldn't blantantly try to compete like that, but noooo-"
  centered "Anyway, business wasn't doing too well. So your parents came up with a plan..."
  centered "They left the shop to you to manage while they went on a trip to steal- er, I mean, learn from, the techniques of other pastry shops, in hopes of overcoming the opposition."
  stop music fadeout 2.0
  centered "And that brings us here, to today..."
  
  scene bg shop front with dissolve
  play music "Neutral.mp3" fadein 2.0
  m "Another day of work..."
  
  show cg k meet with hpunch
  pause
  m "Gyahh! Too close!"
  q "Sorry, sorry!"
  hide cg with dissolve
  show k smile with dissolve 
  q "Hey, how're you?"
  q "So, so! When do you guys open!"
  m "Please don't make a ruckus in front of the store."
  show k neutral with dissolve
  "Growl~~~"
  m "(Was that his stomach?)"
  show k smile with dissolve
  q "But I'm hungry, miss!"
  m "(What should I do? He's going to scare away all the customers.)"
  m "(Well, he's the only one around at the moment. It's likely that he already scared them away.)"
  menu:
    "Tell him to wait":
      m "(Even so, he doesn't have the right to just barge in here like that.)"
      m "Sir, you're going to have to wait your turn."
      q "But, I'm the only one in line!"
      m "Please wait until opening time."
      show k angry with dissolve
      q "The service here is horrible!"
      q "As if we'd ever be outcompeted by a shop like this!"
      hide k with moveoutright
      m "(He stormed away... I wonder if I did the right thing?)"
      m "(Still, it's standard procedure... I think. Wait, I can't be having second thoughts now!)"
      m "(Well, there's no helping the occasional angry customer.)"
    "Agree to let him in":
      $ route = 'kyle'
      jump kyle_bad_end_1
      
  scene bg shop with dissolve
  label backtrack_a1:
  stop music fadeout 2.0
  "Just then..."
  play music "Soft.mp3" fadein 2.0
  show w oh with moveinright
  q "Good morning, [player]."
  m "... hello, William."
  w "Hey-"
  show cg w meet with dissolve
  hide w
  pause
  w "Is there something wrong?"
  m "(He suddenly moves closer.)"
  "Instinctively, you took a step back."
  show w oh behind cg
  hide cg with dissolve
  w "Oh! I'm sorry."
  m "No, that's alright. I'm fine."
  m "There was a rude customer earlier, and I turned him away. I'm still not sure if I did the right thing..."
  show w talk with dissolve
  w "Of course you did! Don't let other people drag you down, [player]!"
  w "Well, I'll get to my job now."
  show w talk blush with dissolve
  w "I'll be in the kitchen, give me a shout if you need me!"
  hide w with dissolve
  m "(William is the sous chef, so he should have the cooking covered, and the guy who works part-time here as a waiter should arrive soon.)"
  m "(I wonder if William'll be fine without my dad around.)"
    
  while day > 0:
    call activity from _call_activity
  jump end
  
label end:
  play music "Neutral.mp3" fadein 2.0
  scene bg shop front with dissolve
  show dim with dissolve
  centered "Your parents arrived home today."
  
  if money > 0:
    centered "Somehow, you managed not to bankrupt the shop."
    if route == "kyle":
      "NO ROUTE YET."
      
    elif route == "william":
      centered "This was, in part, due to the hard work of William, an excellent chef."
      if wp > 5:
        centered "Of course, William wasn't the only one who had a hand in this."
        centered "The two of you work together in the kitchen as if it was second nature."
        centered "Your parents, seeing this, gave each other knowing smiles as the two of you protested and professed innocence."
        centered "Maybe bells will be tolling in the future?"
        centered "Well, let's not rush things. We have all the time in the world to have [shop] prosper."
        show dim as dim2 with dissolve
        centered ".:.Good End\nKiss the Chef"
        $ persistent.endings.add("Kiss the Chef")
      else:
        centered "You explained to your parents how William had near-singlehandedly pulled this shop from bankruptcy."
        centered "Your dad nodded sagely, and said that William was well on his way to head chef."
        centered "Of course, you agreed."
        centered "William was the best employee your shop had ever had."
        show dim as dim2 with dissolve
        centered ".:.End\nEmployee of the Year"
        $ persistent.endings.add("Employee of the Year")
        
    elif route == "john":
      "NO ROUTE YET."
    else:
      centered "Your parents took charge of the shop again. No longer will you need to stay awake at night, worrying about shop finances."
      centered "It seems that you've survived this ordeal."
      
  else:
    centered "They were rather disappointed at the debt of $[money] that you had accumulated."
    if route == "kyle":
      "NO ROUTE YET"
    elif route == "william":
      centered "It's difficult to imagine how you had managed to bankrupt a shop with such a good chef at your side."
      centered "Perhaps there will be a change of management in the future..."
      centered ".:.Bad End\nIncompetence"
      $ persistent.endings.add("Incompetence")
    elif route == "john":
      "NO ROUTE YET"
  
  return
  
  
  
  
  
  
  
  
  
  
